## CamelDataWrapper

CamelDataWrapper

## Synopsis

    struct              CamelDataWrapper;
    CamelDataWrapper*   camel_data_wrapper_new              (void);
    ssize_t             camel_data_wrapper_write_to_stream  (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);
    ssize_t             camel_data_wrapper_decode_to_stream (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);
    void                camel_data_wrapper_set_mime_type    (CamelDataWrapper *data_wrapper,
                                                             const char *mime_type);
    char*               camel_data_wrapper_get_mime_type    (CamelDataWrapper *data_wrapper);
    CamelContentType*   camel_data_wrapper_get_mime_type_field
                                                            (CamelDataWrapper *data_wrapper);
    void                camel_data_wrapper_set_mime_type_field
                                                            (CamelDataWrapper *data_wrapper,
                                                             CamelContentType *mime_type);
    int                 camel_data_wrapper_construct_from_stream
                                                            (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);
    gboolean            camel_data_wrapper_is_offline       (CamelDataWrapper *data_wrapper);

## Description

## Details

### struct CamelDataWrapper

    struct CamelDataWrapper {
    	CamelObject parent_object;
    	struct _CamelDataWrapperPrivate *priv;

    	CamelTransferEncoding encoding;

    	CamelContentType *mime_type;
    	CamelStream *stream;

    	unsigned int offline:1;
    };

### camel_data_wrapper_new ()

    CamelDataWrapper*   camel_data_wrapper_new              (void);

Returns : |

### camel_data_wrapper_write_to_stream ()

    ssize_t             camel_data_wrapper_write_to_stream  (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);

`data_wrapper` : |
`stream` : |
Returns : |

### camel_data_wrapper_decode_to_stream ()

    ssize_t             camel_data_wrapper_decode_to_stream (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);

`data_wrapper` : |
`stream` : |
Returns : |

### camel_data_wrapper_set_mime_type ()

    void                camel_data_wrapper_set_mime_type    (CamelDataWrapper *data_wrapper,
                                                             const char *mime_type);

`data_wrapper` : |
`mime_type` : |

### camel_data_wrapper_get_mime_type ()

    char*               camel_data_wrapper_get_mime_type    (CamelDataWrapper *data_wrapper);

`data_wrapper` : |
Returns : |

### camel_data_wrapper_get_mime_type_field ()

    CamelContentType*   camel_data_wrapper_get_mime_type_field
                                                            (CamelDataWrapper *data_wrapper);

`data_wrapper` : |
Returns : |

### camel_data_wrapper_set_mime_type_field ()

    void                camel_data_wrapper_set_mime_type_field
                                                            (CamelDataWrapper *data_wrapper,
                                                             CamelContentType *mime_type);

`data_wrapper` : |
`mime_type` : |

### camel_data_wrapper_construct_from_stream ()

    int                 camel_data_wrapper_construct_from_stream
                                                            (CamelDataWrapper *data_wrapper,
                                                             CamelStream *stream);

`data_wrapper` : |
`stream` : |
Returns : |

### camel_data_wrapper_is_offline ()

    gboolean            camel_data_wrapper_is_offline       (CamelDataWrapper *data_wrapper);

`data_wrapper` : |
Returns : |